/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_TIPOPERDA                                                */
/* Tabela : TIPOPERDA                                                         */
/*                                                                            */
/* Criao:                                                                   */
/* 23/04/2007 - Ronald Reis                                                   */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_TIPOPERDA
BEFORE INSERT OR UPDATE OR DELETE
ON TIPOPERDA FOR EACH ROW 

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUTPER := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDTIPOPERDA,0) <> NVL(:NEW.CDTIPOPERDA,0)) OR
         (NVL(:OLD.NMTIPOPERDA,0) <> NVL(:NEW.NMTIPOPERDA,0)) THEN
         :NEW.DTULTATUTPER := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('TIPOPERDA', '', 'CDTIPOPERDA='||:OLD.CDTIPOPERDA||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE TIPOPERDA MODIFY DTULTATUTPER DEFAULT SYSDATE
/
-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_TIPOPERDA','4.11.134'); END;
/
