/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_TIPORECURSO                                              */
/* Tabela : TIPORECURSO                                                       */
/*                                                                            */
/* Criao:                                                                   */
/* 02/03/2007 - Rejane P. Leite                                               */
/*                                                                            */
/******************************************************************************/
CREATE OR REPLACE TRIGGER DTULTATU_TIPORECURSO
BEFORE INSERT OR UPDATE OR DELETE
ON TIPORECURSO FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUTIRC := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDTIPORECUR,0 ) <> NVL(:NEW.CDTIPORECUR,0)) OR
         (NVL(:OLD.DSTIPORECUR,0 ) <> NVL(:NEW.DSTIPORECUR,0)) THEN
         :NEW.DTULTATUTIRC := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('TIPORECURSO', '','CDTIPORECUR='||:OLD.CDTIPORECUR||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE TIPORECURSO MODIFY DTULTATUTIRC DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_TIPORECURSO','5.03.010'); END;
/

