/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_CLASSE                                                   */
/* Tabela : CLASSE                                                            */
/*                                                                            */
/* Criao:                                                                   */
/* 04/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_CLASSE' and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_CLASSE
GO

CREATE TRIGGER DTULTATU_CLASSE
ON CLASSE
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'CLASSE', null, 'CDCLASSE='+ CDCLASSE+ ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE CLASSE
      SET DTULTATUCLAS = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(CLASSE.SGCLASSE,0) = ISNULL(INSERTED.SGCLASSE,0)) AND
            (ISNULL(CLASSE.CDCLASSE,0) = ISNULL(INSERTED.CDCLASSE,0)) AND
            (ISNULL(CLASSE.DSCLASSE,0) = ISNULL(INSERTED.DSCLASSE,0));
   END;
END;
GO

